Changeset 1969 for releases


Ignore:
Timestamp:
Oct 15, 2013 5:14:50 PM (6 years ago)
Author:
stefan
Message:

restore release

File:
1 edited

Legend:

Unmodified
Added
Removed
  • releases/2.8.5/Cbc/configure

    r1968 r1969  
    10821082                          (implies --disable-shared)
    10831083  --enable-debug-cbc compile project Cbc with debug compiler flags
    1084 
    1085   --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
     1084  --enable-doscompile     Under Cygwin, compile so that executables run under
     1085                          DOS. Set to mingw to use gcc/g++/ld with
     1086                          -mno-cygwin. Set to msvc to use cl/link (or
     1087                          icl/link). Default when mentioned: mingw. Default
     1088                          when not mentioned: disabled.
    10861089  --enable-static[=PKGS]
    10871090                          build static libraries [default=no]
     
    19481951
    19491952# Get the name of the C++ compiler and appropriate compiler options
    1950 
    1951 
    1952   # for backward compatibility
    1953   # Check whether --enable-doscompile or --disable-doscompile was given.
    1954 if test "${enable_doscompile+set}" = set; then
    1955   enableval="$enable_doscompile"
    1956   enable_doscompile=$enableval
    1957 else
    1958   enable_doscompile=no
    1959 fi;
    1960 
    1961   # Check whether --enable-msvc or --disable-msvc was given.
    1962 if test "${enable_msvc+set}" = set; then
    1963   enableval="$enable_msvc"
    1964   enable_msvc=$enableval
    1965 else
    1966   enable_msvc=no
    1967      if test "$enable_doscompile" = msvc ; then
    1968        enable_msvc=yes
    1969      elif test "$enable_doscompile" != no ; then
    1970        { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
    1971 echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
    1972    { (exit 1); exit 1; }; }
    1973      fi
    1974 
    1975 fi;
    1976 
    1977   if test "$enable_msvc" = yes; then
    1978     case $build in
    1979       *-cygwin* | *-mingw*) ;;
    1980       *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
    1981 echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
    1982    { (exit 1); exit 1; }; } ;;
    1983     esac
    1984   fi
    1985 
    1986 
    1987  case $build in
     1953case $build in
    19881954  *-mingw*)
    19891955    if test "${LD+set}" = set; then :; else
     
    19921958    ;;
    19931959 esac
    1994  if test $enable_msvc = yes ; then
    1995    if test "x${LD+set}" = xset; then :; else
    1996      LD=link
     1960 case $enable_doscompile in
     1961   msvc)
     1962     if test "x${LD+set}" = xset; then :; else
     1963       LD=link
     1964     fi
     1965     ;;
     1966 esac
     1967
     1968
     1969 # Check whether --enable-doscompile or --disable-doscompile was given.
     1970if test "${enable_doscompile+set}" = set; then
     1971  enableval="$enable_doscompile"
     1972  if test "$enable_doscompile" != no; then
     1973     case $build in
     1974       *-cygwin* | *-mingw*) ;;
     1975       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1976echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1977   { (exit 1); exit 1; }; } ;;
     1978     esac
    19971979   fi
    1998  fi
     1980else
     1981  enable_doscompile=no
     1982fi;
     1983 case "$enable_doscompile" in
     1984   mingw)
     1985     case $build in
     1986       *-mingw*) enable_doscompile=no ;;
     1987     esac
     1988     ;;
     1989   msvc|no) ;;
     1990   yes) enable_doscompile=mingw ;;
     1991   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     1992                    Try configure --help=recursive." >&5
     1993echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
     1994                    Try configure --help=recursive." >&2;}
     1995   { (exit 1); exit 1; }; }
     1996      ;;
     1997  esac
     1998  if test "$enable_doscompile" != no ; then
     1999    { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
     2000echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
     2001  fi
    19992002
    20002003
     
    20392042case $build in
    20402043  *-cygwin* | *-mingw*)
    2041              if test "$enable_msvc" = yes ; then
    2042                comps="icl cl gcc"
     2044             if test "$enable_doscompile" = msvc ; then
     2045               comps="icl cl"
    20432046             else
    2044                comps="gcc icl cl"
     2047               comps="gcc cl"
    20452048             fi ;;
    20462049  *-*-solaris*)
     
    28952898            ;;
    28962899        esac
     2900        case $enable_doscompile in
     2901          mingw)
     2902            CFLAGS="-mno-cygwin"
     2903            cat >conftest.$ac_ext <<_ACEOF
     2904/* confdefs.h.  */
     2905_ACEOF
     2906cat confdefs.h >>conftest.$ac_ext
     2907cat >>conftest.$ac_ext <<_ACEOF
     2908/* end confdefs.h.  */
     2909
     2910int
     2911main ()
     2912{
     2913int i=0; i++;
     2914  ;
     2915  return 0;
     2916}
     2917_ACEOF
     2918rm -f conftest.$ac_objext conftest$ac_exeext
     2919if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     2920  (eval $ac_link) 2>conftest.er1
     2921  ac_status=$?
     2922  grep -v '^ *+' conftest.er1 >conftest.err
     2923  rm -f conftest.er1
     2924  cat conftest.err >&5
     2925  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2926  (exit $ac_status); } &&
     2927         { ac_try='test -z "$ac_c_werror_flag"
     2928                         || test ! -s conftest.err'
     2929  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2930  (eval $ac_try) 2>&5
     2931  ac_status=$?
     2932  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2933  (exit $ac_status); }; } &&
     2934         { ac_try='test -s conftest$ac_exeext'
     2935  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2936  (eval $ac_try) 2>&5
     2937  ac_status=$?
     2938  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2939  (exit $ac_status); }; }; then
     2940  coin_add_cflags="-mno-cygwin $coin_add_cflags"
     2941else
     2942  echo "$as_me: failed program was:" >&5
     2943sed 's/^/| /' conftest.$ac_ext >&5
     2944
     2945fi
     2946rm -f conftest.err conftest.$ac_objext \
     2947      conftest$ac_exeext conftest.$ac_ext
     2948            CFLAGS=
     2949          ;;
     2950        esac
    28972951    esac
    28982952  fi
     
    32353289  clang* ) ;;
    32363290  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3237 
    3238  case $build in
     3291    case $build in
    32393292  *-mingw*)
    32403293    if test "${LD+set}" = set; then :; else
     
    32433296    ;;
    32443297 esac
    3245  if test $enable_msvc = yes ; then
    3246    if test "x${LD+set}" = xset; then :; else
    3247      LD=link
    3248    fi
    3249  fi
     3298 case $enable_doscompile in
     3299   msvc)
     3300     if test "x${LD+set}" = xset; then :; else
     3301       LD=link
     3302     fi
     3303     ;;
     3304 esac
    32503305
    32513306    ;;
     
    32803335case $build in
    32813336  *-cygwin* | *-mingw*)
    3282       if test "$enable_msvc" = yes ; then
    3283          comps="icl cl g++"
    3284       else
    3285          comps="g++ icl cl"
    3286       fi ;;
     3337             if test "$enable_doscompile" = msvc ; then
     3338               comps="icl cl"
     3339             else
     3340               comps="g++ cl"
     3341             fi ;;
    32873342  *-*-solaris*)
    32883343             comps="CC xlC_r aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
     
    37923847            ;;
    37933848        esac
     3849
     3850        case $enable_doscompile in
     3851          mingw)
     3852            CXXFLAGS="-mno-cygwin"
     3853            cat >conftest.$ac_ext <<_ACEOF
     3854/* confdefs.h.  */
     3855_ACEOF
     3856cat confdefs.h >>conftest.$ac_ext
     3857cat >>conftest.$ac_ext <<_ACEOF
     3858/* end confdefs.h.  */
     3859
     3860int
     3861main ()
     3862{
     3863int i=0; i++;
     3864  ;
     3865  return 0;
     3866}
     3867_ACEOF
     3868rm -f conftest.$ac_objext conftest$ac_exeext
     3869if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3870  (eval $ac_link) 2>conftest.er1
     3871  ac_status=$?
     3872  grep -v '^ *+' conftest.er1 >conftest.err
     3873  rm -f conftest.er1
     3874  cat conftest.err >&5
     3875  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3876  (exit $ac_status); } &&
     3877         { ac_try='test -z "$ac_cxx_werror_flag"
     3878                         || test ! -s conftest.err'
     3879  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3880  (eval $ac_try) 2>&5
     3881  ac_status=$?
     3882  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3883  (exit $ac_status); }; } &&
     3884         { ac_try='test -s conftest$ac_exeext'
     3885  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3886  (eval $ac_try) 2>&5
     3887  ac_status=$?
     3888  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3889  (exit $ac_status); }; }; then
     3890  coin_add_cxxflags="-mno-cygwin $coin_add_cxxflags"
     3891else
     3892  echo "$as_me: failed program was:" >&5
     3893sed 's/^/| /' conftest.$ac_ext >&5
     3894
     3895fi
     3896rm -f conftest.err conftest.$ac_objext \
     3897      conftest$ac_exeext conftest.$ac_ext
     3898            CXXFLAGS=
     3899          ;;
     3900        esac
    37943901    esac
    37953902  fi
     
    41434250  clang* ) ;;
    41444251  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    4145 
    4146  case $build in
     4252    case $build in
    41474253  *-mingw*)
    41484254    if test "${LD+set}" = set; then :; else
     
    41514257    ;;
    41524258 esac
    4153  if test $enable_msvc = yes ; then
    4154    if test "x${LD+set}" = xset; then :; else
    4155      LD=link
    4156    fi
    4157  fi
     4259 case $enable_doscompile in
     4260   msvc)
     4261     if test "x${LD+set}" = xset; then :; else
     4262       LD=link
     4263     fi
     4264     ;;
     4265 esac
    41584266
    41594267    ;;
     
    59286036*-*-irix6*)
    59296037  # Find out which ABI we are using.
    5930   echo '#line 5930 "configure"' > conftest.$ac_ext
     6038  echo '#line 6038 "configure"' > conftest.$ac_ext
    59316039  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    59326040  (eval $ac_compile) 2>&5
     
    70627170
    70637171# Provide some information about the compiler.
    7064 echo "$as_me:7064:" \
     7172echo "$as_me:7172:" \
    70657173     "checking for Fortran 77 compiler version" >&5
    70667174ac_compiler=`set X $ac_compile; echo $2`
     
    81298237   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81308238   -e 's:$: $lt_compiler_flag:'`
    8131    (eval echo "\"\$as_me:8131: $lt_compile\"" >&5)
     8239   (eval echo "\"\$as_me:8239: $lt_compile\"" >&5)
    81328240   (eval "$lt_compile" 2>conftest.err)
    81338241   ac_status=$?
    81348242   cat conftest.err >&5
    8135    echo "$as_me:8135: \$? = $ac_status" >&5
     8243   echo "$as_me:8243: \$? = $ac_status" >&5
    81368244   if (exit $ac_status) && test -s "$ac_outfile"; then
    81378245     # The compiler can only warn and ignore the option if not recognized
     
    83978505   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83988506   -e 's:$: $lt_compiler_flag:'`
    8399    (eval echo "\"\$as_me:8399: $lt_compile\"" >&5)
     8507   (eval echo "\"\$as_me:8507: $lt_compile\"" >&5)
    84008508   (eval "$lt_compile" 2>conftest.err)
    84018509   ac_status=$?
    84028510   cat conftest.err >&5
    8403    echo "$as_me:8403: \$? = $ac_status" >&5
     8511   echo "$as_me:8511: \$? = $ac_status" >&5
    84048512   if (exit $ac_status) && test -s "$ac_outfile"; then
    84058513     # The compiler can only warn and ignore the option if not recognized
     
    85018609   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85028610   -e 's:$: $lt_compiler_flag:'`
    8503    (eval echo "\"\$as_me:8503: $lt_compile\"" >&5)
     8611   (eval echo "\"\$as_me:8611: $lt_compile\"" >&5)
    85048612   (eval "$lt_compile" 2>out/conftest.err)
    85058613   ac_status=$?
    85068614   cat out/conftest.err >&5
    8507    echo "$as_me:8507: \$? = $ac_status" >&5
     8615   echo "$as_me:8615: \$? = $ac_status" >&5
    85088616   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    85098617   then
     
    1084610954  lt_status=$lt_dlunknown
    1084710955  cat > conftest.$ac_ext <<EOF
    10848 #line 10848 "configure"
     10956#line 10956 "configure"
    1084910957#include "confdefs.h"
    1085010958
     
    1094611054  lt_status=$lt_dlunknown
    1094711055  cat > conftest.$ac_ext <<EOF
    10948 #line 10948 "configure"
     11056#line 11056 "configure"
    1094911057#include "confdefs.h"
    1095011058
     
    1329013398   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1329113399   -e 's:$: $lt_compiler_flag:'`
    13292    (eval echo "\"\$as_me:13292: $lt_compile\"" >&5)
     13400   (eval echo "\"\$as_me:13400: $lt_compile\"" >&5)
    1329313401   (eval "$lt_compile" 2>conftest.err)
    1329413402   ac_status=$?
    1329513403   cat conftest.err >&5
    13296    echo "$as_me:13296: \$? = $ac_status" >&5
     13404   echo "$as_me:13404: \$? = $ac_status" >&5
    1329713405   if (exit $ac_status) && test -s "$ac_outfile"; then
    1329813406     # The compiler can only warn and ignore the option if not recognized
     
    1339413502   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1339513503   -e 's:$: $lt_compiler_flag:'`
    13396    (eval echo "\"\$as_me:13396: $lt_compile\"" >&5)
     13504   (eval echo "\"\$as_me:13504: $lt_compile\"" >&5)
    1339713505   (eval "$lt_compile" 2>out/conftest.err)
    1339813506   ac_status=$?
    1339913507   cat out/conftest.err >&5
    13400    echo "$as_me:13400: \$? = $ac_status" >&5
     13508   echo "$as_me:13508: \$? = $ac_status" >&5
    1340113509   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1340213510   then
     
    1496415072   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1496515073   -e 's:$: $lt_compiler_flag:'`
    14966    (eval echo "\"\$as_me:14966: $lt_compile\"" >&5)
     15074   (eval echo "\"\$as_me:15074: $lt_compile\"" >&5)
    1496715075   (eval "$lt_compile" 2>conftest.err)
    1496815076   ac_status=$?
    1496915077   cat conftest.err >&5
    14970    echo "$as_me:14970: \$? = $ac_status" >&5
     15078   echo "$as_me:15078: \$? = $ac_status" >&5
    1497115079   if (exit $ac_status) && test -s "$ac_outfile"; then
    1497215080     # The compiler can only warn and ignore the option if not recognized
     
    1506815176   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1506915177   -e 's:$: $lt_compiler_flag:'`
    15070    (eval echo "\"\$as_me:15070: $lt_compile\"" >&5)
     15178   (eval echo "\"\$as_me:15178: $lt_compile\"" >&5)
    1507115179   (eval "$lt_compile" 2>out/conftest.err)
    1507215180   ac_status=$?
    1507315181   cat out/conftest.err >&5
    15074    echo "$as_me:15074: \$? = $ac_status" >&5
     15182   echo "$as_me:15182: \$? = $ac_status" >&5
    1507515183   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1507615184   then
     
    1727517383   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1727617384   -e 's:$: $lt_compiler_flag:'`
    17277    (eval echo "\"\$as_me:17277: $lt_compile\"" >&5)
     17385   (eval echo "\"\$as_me:17385: $lt_compile\"" >&5)
    1727817386   (eval "$lt_compile" 2>conftest.err)
    1727917387   ac_status=$?
    1728017388   cat conftest.err >&5
    17281    echo "$as_me:17281: \$? = $ac_status" >&5
     17389   echo "$as_me:17389: \$? = $ac_status" >&5
    1728217390   if (exit $ac_status) && test -s "$ac_outfile"; then
    1728317391     # The compiler can only warn and ignore the option if not recognized
     
    1754317651   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1754417652   -e 's:$: $lt_compiler_flag:'`
    17545    (eval echo "\"\$as_me:17545: $lt_compile\"" >&5)
     17653   (eval echo "\"\$as_me:17653: $lt_compile\"" >&5)
    1754617654   (eval "$lt_compile" 2>conftest.err)
    1754717655   ac_status=$?
    1754817656   cat conftest.err >&5
    17549    echo "$as_me:17549: \$? = $ac_status" >&5
     17657   echo "$as_me:17657: \$? = $ac_status" >&5
    1755017658   if (exit $ac_status) && test -s "$ac_outfile"; then
    1755117659     # The compiler can only warn and ignore the option if not recognized
     
    1764717755   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1764817756   -e 's:$: $lt_compiler_flag:'`
    17649    (eval echo "\"\$as_me:17649: $lt_compile\"" >&5)
     17757   (eval echo "\"\$as_me:17757: $lt_compile\"" >&5)
    1765017758   (eval "$lt_compile" 2>out/conftest.err)
    1765117759   ac_status=$?
    1765217760   cat out/conftest.err >&5
    17653    echo "$as_me:17653: \$? = $ac_status" >&5
     17761   echo "$as_me:17761: \$? = $ac_status" >&5
    1765417762   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1765517763   then
     
    3041930527echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    3042030528coin_link_input_cmd="$LN_S"
     30529if test "$enable_doscompile" = mingw; then
     30530  coin_link_input_cmd=cp
     30531fi
    3042130532case "$CC" in
    3042230533  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.